1. neptune229's Avatar
    Hi,
    I just got a Curve 8330 from Telus yesterday with the new Blackberry Social plan. This plan includes unlimited facebook, myspace, BBM, and windows live messenger. It does not include data, web browsing, email etc.
    So my phone came with a facebook icon, and i tried it, but it just took me to a webpage where I could download the facebook app. I didn't want to get charged a ton for pay per use data, so i went to the blackberry website on my laptop to get the app from there.
    When it told me to connect my phone using the USB cable, I did, but then it said that my phone didn't have the system requirements for the Facebook app.
    ???
    I checked the requirements, and the phone definitely meets them. Is there any other way to get the app on the phone without using data on my phone?
    Thanks so much!!!
    11-30-09 06:40 PM
  2. dslocumb's Avatar
    Try to install it right from the phone. From the BB browser, go to Facebook for BlackBerry smartphones
    11-30-09 06:50 PM
  3. neptune229's Avatar
    Well thanks for the reply...
    but I don't want to download it from the phone because I'm going to be charged for data!
    11-30-09 07:12 PM
  4. Krypto's Avatar
    Send your service books (Telus can do this for you too if needed). This will push the Facebook icon to your phone. You can then click on this and it will take you to the Facebook download page. Note, you don't need to worry about getting charged data for this - it's included in your data plan. How do I know this? My sister has the same plan on a 8330 and she wasn't charged for loading Facebook either (or Windows Live Messenger for that matter). The key thing here though is to get the icon pushed to your phone as you don't have regular browser access through your phone.

    Just be careful when loading Facebook though and check the version information. If you're given the option to download the older version (1.6), download that one. The reason is that 1.7 uses browser data and might end up costing data. I know for sure that 1.6 is fine with that.
    Last edited by Krypto; 11-30-09 at 08:35 PM.
    11-30-09 08:32 PM
  5. neptune229's Avatar
    Thanks for the help krypto, I just tried downloading v1.6 the way you said, and when I clicked the download button, it said that my device is unsupported. I don't understand why this isn't working, my device seems to meet the system requirements.
    11-30-09 09:00 PM
LINK TO POST COPIED TO CLIPBOARD